<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
	<link rel="shortcut icon" type="image/x-icon" href="/static/images/pfavicon.ico" />
    <title>PEPPERL+FUCHS DashBoard</title>
    <link href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.8.0/Chart.min.css" rel="stylesheet">
	<script src="/static/RGraph/libraries/RGraph.common.core.js"></script>
	<script src="/static/RGraph/libraries/RGraph.common.dynamic.js"></script>
	<script src="/static/RGraph/libraries/RGraph.meter.js"></script>
	<script src="/static/RGraph/libraries/RGraph.pie.js"></script>
	<script src="/static/RGraph/libraries/RGraph.gauge.js"></script>
	<link href="/static/css/main.css" rel="stylesheet">
</head>
<body>
  <nav class="navbar navbar-dark" style="background-color:#FFFFFF;border-bottom: 5px solid#425563">
	<div class="container-logo">
        <a href="/" title="">
            <img src="/static/images/pf_logo.svg" title="" alt="">
        </a>
        <img class="claim" src="/static/images/claim.png">
	</div>
  </nav>
 <style>
 .colCard{
	padding:20px;
 }
 </style>

<div class="container" id="chartContainer" style='max-width:100%'>
    <div class="row">
		<div class="col-2 colCard" style ="width:20%">
				<div class="row" style="padding-top:20px">	
                    <img id="image" style ="width:100%" src='{{serverJsonData["data"]["image"]}}'>
				</div>
				<div class="row" style="text-align:center">
					<h4 id="title2" style="width:100%;padding:20px">{{serverJsonData["data"]["title2"]}}</h4>
				</div>
				<div class="row" style="text-align:center">
					<h5 id="label1" style="width:100%">Value</h5>
				</div>
				<div class="row" style="text-align:center">
					<h5 id="value" style="width:100%">Loading</h5>
				</div>
				<div class="row" style="text-align:center">
					<h5 id="munit" style="width:100%">Meas unit</h5>
				</div>
        </div>
        <div class="col colCard" style ="width:60%">
            <div class="card">
                <div id="parentChart" class="card-body">
                    <canvas id="chart1"></canvas>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Footer -->
<footer class="page-footer font-small blue" style="background:#00A587">
  <!-- Copyright -->
  <div class="footer-copyright text-center py-3" style="color:#FFFFFF;padding-top:50px!important;padding-bottom:50px!important">© 2020 Copyright:
    <a style="color:#FFFFFF" href="https://www.pepperl-fuchs.com/">Pepperl+Fuchs</a>
  </div>
  <!-- Copyright -->

</footer>
<!-- Footer -->
<!--suppress JSUnresolvedLibraryURL -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.0/jquery.min.js"></script>
<!--suppress JSUnresolvedLibraryURL -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/js/bootstrap.min.js"></script>
<!--suppress JSUnresolvedLibraryURL -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.8.0/Chart.min.js"></script>

<script>
    // Create the Meter chart - it must be assigned to a variable in
    // this case so that that variable can be used later.
    // Now add a click event listener so that when the canvas is clicked on
    // the Meter chart needle animates to show the new value.
    /*
	meter.canvas.onclick = function (e)
    {
        var newvalue = meter.getValue(e);
        
        meter.value = newvalue;
        meter.grow();
    }
	*/
</script>
<script>
    $(document).ready(function () {
        
				{% if serverJsonData["data"]["chartType"] == "Text"%}
					//alert('{{serverJsonData["data"]["name"]}}')
					$('#{{serverJsonData["data"]["name"]}}').html("Loading data...");
					//var canvas = document.getElementById("myCanvas");
					ctx_{{serverJsonData["data"]["name"]}} = document.getElementById('{{serverJsonData["data"]["name"]}}').getContext('2d');
					ctx_{{serverJsonData["data"]["name"]}}.font = "30px Arial";
					ctx_{{serverJsonData["data"]["name"]}}.fillText("Loading Chart", 10, 100);
					ctx_{{serverJsonData["data"]["name"]}}.fillText('{{serverJsonData["data"]["title"]}}', 0, 50);
					const source_{{serverJsonData["data"]["name"]}} = new EventSource("/OPCUAClient?node={{serverJsonData["data"]['node']}}");
						source_{{serverJsonData["data"]["name"]}}.onmessage = function (event) {
							const data = JSON.parse(event.data);
							ctx_{{serverJsonData["data"]["name"]}}.clearRect(0, 0, canvas.width, canvas.height);
							ctx_{{serverJsonData["data"]["name"]}}.fillText('{{serverJsonData["data"]["title"]}}', 0, 50);
							ctx_{{serverJsonData["data"]["name"]}}.fillText(data.value+ ' {{serverJsonData["data"]["yAxes"]}}', 10, 100);
						}
				{% elif serverJsonData["data"]["chartType"] == "Turrent"%}
					$("#label1").html("");
					$("#value").html("");
					$("#munit").html("");
					turrentRed='<div class="turrentDiv"><img id="tred" class="turrentType" src="/static/images/TRedOff.png"></div>';
					turrentYellow='<div class="turrentDiv"><img id="tyellow" class="turrentType" src="/static/images/TYellowOff.png"></div>';
					turrentGreen='<div class="turrentDiv"><img id="tgreen" class="turrentType" src="/static/images/TGreenOff.png"></div>';
					turrentBlue='<div class="turrentDiv"><img id="tblue" class="turrentType" src="/static/images/TBlueOff.png"></div>';
					turrentBase='<div class="turrentDiv"><img id="tbase" class="turrentType" src="/static/images/TBase.png"></div>';
					turrentValue='<div id="{{serverJsonData["data"]["name"]}}_turrentValue">Value:</div>';
					turret=turrentRed+turrentGreen+turrentBlue+turrentBase+turrentValue;
					$('#{{serverJsonData["data"]["name"]}}').html(turret)
					/*$('.turrentType').each(function(i, obj) {
						size=$(this).height();
						newsize=
						$("#value").html("");
						$(this).height(size*{{serverJsonData["data"]["turrentImgScale"]}})
					});*/
					
					size=146;
					$("#tred").height(size*{{serverJsonData["data"]["turrentImgScale"]}})
					size=110;
					$("#tyellow").height(size*{{serverJsonData["data"]["turrentImgScale"]}})
					size=109;
					$("#tgreen").height(size*{{serverJsonData["data"]["turrentImgScale"]}})
					size=111;
					$("#tblue").height(size*{{serverJsonData["data"]["turrentImgScale"]}})
					size=249;
					$("#tbase").height(size*{{serverJsonData["data"]["turrentImgScale"]}})
					
					
					const source_{{serverJsonData["data"]["name"]}} = new EventSource("/OPCUAClient2?node1={{serverJsonData['data']['node']}}");
						source_{{serverJsonData["data"]["name"]}}.onmessage = function (event) {
							const data = JSON.parse(event.data);
							newdata=data.value;
							if (newdata[1]==0){
								$("#tred").attr("src","/static/images/TRedOff.png");
								$("#tyellow").attr("src","/static/images/TYellowOff.png");
								$("#tgreen").attr("src","/static/images/TGreenOff.png");
								$("#tblue").attr("src","/static/images/TBlueOff.png");
							}
							if (newdata[1]==1){
								$("#tred").attr("src","/static/images/TRedOn2.png");
								$("#tyellow").attr("src","/static/images/TYellowOff.png");
								$("#tgreen").attr("src","/static/images/TGreenOff.png");
								$("#tblue").attr("src","/static/images/TBlueOff.png");
							}
							if (newdata[1]==2){
								$("#tred").attr("src","/static/images/TRedOff.png");
								$("#tyellow").attr("src","/static/images/TYellowOff.png");
								$("#tgreen").attr("src","/static/images/TGreenOn2.png");
								$("#tblue").attr("src","/static/images/TBlueOff.png");
							}						
							if (newdata[1]==3){
								$("#tred").attr("src","/static/images/TRedOn2.png");
								$("#tyellow").attr("src","/static/images/TYellowOff.png");
								$("#tgreen").attr("src","/static/images/TGreenOn2.png");
								$("#tblue").attr("src","/static/images/TBlueOff.png");
							}		
							if (newdata[1]==4){
								$("#tred").attr("src","/static/images/TRedOff.png");
								$("#tyellow").attr("src","/static/images/TYellowOff.png");
								$("#tgreen").attr("src","/static/images/TGreenOff.png");
								$("#tblue").attr("src","/static/images/TBlueOn2.png");
							}	
							if (newdata[1]==5){
								$("#tred").attr("src","/static/images/TRedOn2.png");
								$("#tyellow").attr("src","/static/images/TYellowOff.png");
								$("#tgreen").attr("src","/static/images/TGreenOff.png");
								$("#tblue").attr("src","/static/images/TBlueOn2.png");
							}						
							if (newdata[1]==6){
								$("#tred").attr("src","/static/images/TRedOff.png");
								$("#tyellow").attr("src","/static/images/TYellowOff.png");
								$("#tgreen").attr("src","/static/images/TGreenOn2.png");
								$("#tblue").attr("src","/static/images/TBlueOn2.png");
							}	
							if (newdata[1]==7){
								$("#tred").attr("src","/static/images/TRedOn2.png");
								$("#tyellow").attr("src","/static/images/TYellowOff.png");
								$("#tgreen").attr("src","/static/images/TGreenOn2.png");
								$("#tblue").attr("src","/static/images/TBlueOn2.png");
							}				
							$('#{{serverJsonData["data"]["name"]}}_turrentValue').html("Value:["+newdata[1]+"]");
						}			
				{% else %}
					{% if serverJsonData["data"]["chartType"] != "RGraph"%}
									ctx_{{serverJsonData["data"]["name"]}} = document.getElementById('{{serverJsonData["data"]["name"]}}').getContext('2d');
									
									config_{{serverJsonData["data"]["name"]}}= {
									type: '{{serverJsonData["data"]["chartType"]}}',
									data: {
										labels: [],
										datasets: [{
											label: '{{serverJsonData["data"]["datasetLabel"]}}',
											backgroundColor: '{{serverJsonData["data"]["backgroundColor"]}}',
											borderColor: '{{serverJsonData["data"]["borderColor"]}}',
											data: [],
											fill: false,
										}],
									},
									options: {
										responsive: true,
										title: {
											display: true,
											text: '{{serverJsonData["data"]["title"]}}'
										},
										tooltips: {
											mode: 'index',
											intersect: false,
										},
										hover: {
											mode: 'nearest',
											intersect: true
										},
										scales: {
											xAxes: [{
												display: true,
												scaleLabel: {
													display: true,
													labelString: '{{serverJsonData["data"]["xAxes"]}}'
												}
											}],
											yAxes: [{
												display: true,
												scaleLabel: {
													display: true,
													labelString: '{{serverJsonData["data"]["yAxes"]}}'
												},
												ticks: {
													max: {{serverJsonData["data"]["max"]}},
													min: {{serverJsonData["data"]["min"]}},
													stepSize: {{serverJsonData["data"]["stepSize"]}}
												}
											}]
										}
									}
								};
								lineChart_{{serverJsonData["data"]["name"]}}=new Chart(ctx_{{serverJsonData["data"]["name"]}}, config_{{serverJsonData["data"]["name"]}});
								$("#munit").html('{{serverJsonData["data"]["yAxes"]}}');
								const source_{{serverJsonData["data"]["name"]}} = new EventSource("/OPCUAClient?node={{serverJsonData["data"]['node']}}");
								source_{{serverJsonData["data"]["name"]}}.onmessage = function (event) {
									const data = JSON.parse(event.data);
									if (config_{{serverJsonData["data"]["name"]}}.data.labels.length === 20) {
										config_{{serverJsonData["data"]["name"]}}.data.labels.shift();
										config_{{serverJsonData["data"]["name"]}}.data.datasets[0].data.shift();
									}
									config_{{serverJsonData["data"]["name"]}}.data.labels.push(data.time);
									config_{{serverJsonData["data"]["name"]}}.data.datasets[0].data.push(data.value/{{serverJsonData["data"]["ValueDiv"]}});
									$("#value").html(data.value/{{serverJsonData["data"]["ValueDiv"]}});
									lineChart_{{serverJsonData["data"]["name"]}}.update();
								}
						{% else %}
						$(".card").height(450);
						$('#{{serverJsonData["data"]["name"]}}').height(350);
							{% if serverJsonData["data"]["chartType2"] == "RGraph.Meter"%}
										meter_{{serverJsonData["data"]["name"]}} = new RGraph.Meter({
										id: '{{serverJsonData["data"]["name"]}}',
										min: {{serverJsonData["data"]["min"]}},
										max: {{serverJsonData["data"]["max"]}},
										value: 15,
										options: {

											marginLeft: 15,
											marginRight: 15,
											marginTop: 15,
											marginBottom: 15,

											// There's various configuration options here so that the Meter looks
											// quite different to the default.
											backgroundColor: 'black',
											anglesStart: RGraph.PI - 0.55,
											anglesEnd: RGraph.TWOPI + 0.5,
											centery: 150,
											textSize: 14,
											textColor: 'white',
											textValign: 'center',
											colorsGreenColor: '#0a0',
											segmentsRadiusStart: 95,
											border: 0,
											tickmarksSmallCount: 0,
											tickmarksLargeCount: 0,
											needleRadius: 70,
											needleColor: '#ddd',
											needleHeadWidth: 0.1,
											needleHeadLength: 20,
											centerpinStroke: 'black',
											centerpinFill: '#ddd'
										}
									}).draw();
									const source_{{serverJsonData["data"]["name"]}} = new EventSource("/OPCUAClient?node={{serverJsonData["data"]['node']}}");
								source_{{serverJsonData["data"]["name"]}}.onmessage = function (event) {
									const data = JSON.parse(event.data);
									meter_{{serverJsonData["data"]["name"]}}.value = data.value / {{serverJsonData["data"]["ValueDiv"]}};
									meter_{{serverJsonData["data"]["name"]}}.grow();
									$("#value").html(data.value/{{serverJsonData["data"]["ValueDiv"]}});
								}
							
							{% elif serverJsonData["data"]["chartType2"] == "RGraph.SegmentedMeter"%}
										meter_{{serverJsonData["data"]["name"]}} = new RGraph.SegmentedMeter({
										id: '{{serverJsonData["data"]["name"]}}',
										max: 100,
										value: 70,
										options: {
											variantDonutWidth: 55,
											marginTop: 15,
											marginBottom: 15,
											marginLeft: 15,
											marginRight: 15,
											valueUnitsPost: '%',
											valueColor: '#aaa',
											valueSize: 60
										}
									}).roundRobin({frames: 60}).responsive([
										{maxWidth: 700,css:{'float':'none'}},
										{maxWidth: null,css:{'float':'right'}}
									]);
									
								const source_{{serverJsonData["data"]["name"]}} = new EventSource("/OPCUAClient?node={{serverJsonData["data"]['node']}}");
								source_{{serverJsonData["data"]["name"]}}.onmessage = function (event) {
									const data = JSON.parse(event.data);
									meter_{{serverJsonData["data"]["name"]}}.value = data.value / {{serverJsonData["data"]["ValueDiv"]}};
									meter_{{serverJsonData["data"]["name"]}}.grow();
									$("#value").html(data.value/{{serverJsonData["data"]["ValueDiv"]}});
								}
							
							{% elif serverJsonData["data"]["chartType2"] == "RGraph.Gauge"%}
							    meter_{{serverJsonData["data"]["name"]}} = new RGraph.Gauge({
								id: '{{serverJsonData["data"]["name"]}}',
								min: {{serverJsonData["data"]["min"]}},
								max: {{serverJsonData["data"]["max"]}},
								value: [184,12],
								options: {
									marginLeft: 15,
									marginRight: 15,
									marginTop: 15,
									marginBottom: 15,

									// Configure the top titles appearance
									titleTop: '',
									titleTopSize: 22,
									titleTopFont: 'Impact',
									titleTopColor: 'white',
									titleTopSize: 24,
									titleTopItalic: true,
									
									// Configure the bottom titles appearance
									titleBottom: 'Knots',
									titleBottomSize: 14,
									titleBottomItalic: true,
									titleBottomFont: 'Impact',
									titleBottomColor: '#ccc',
									titleBottomPos: 0.4,

									// The rest of the configuration for the Gauge chart - the needle,
									// centerpin, tickmarks and the border
									//colorsRanges: [[160,200,'rgba(255,0,0,1)'], [120,160,'rgba(255,255,0,0.95']],
									backgroundColor: 'black',
									backgroundGradient: true,
									centerpinColor: '#666',
									needleSize: [null, 50],
									needleColors: ['Gradient(transparent:white:white:white:white:white)', 'Gradient(transparent:#d66:#d66:#d66:#d66)'],
									textColor: 'white',
									tickmarksLargeColor: 'white',
									tickmarksMediumColor: 'white',
									tickmarksSmallColor: 'white',
									borderOuter: '#666',
									borderInner: '#333'
								}
							}).draw();
							const source_{{serverJsonData["data"]["name"]}} = new EventSource("/OPCUAClient?node={{serverJsonData["data"]['node']}}");
								source_{{serverJsonData["data"]["name"]}}.onmessage = function (event) {
									const data = JSON.parse(event.data);
									meter_{{serverJsonData["data"]["name"]}}.value = [0,data.value / {{serverJsonData["data"]["ValueDiv"]}}];
									meter_{{serverJsonData["data"]["name"]}}.grow();
									$("#value").html(data.value/{{serverJsonData["data"]["ValueDiv"]}});
								}
							
							{% endif %}
							
						{% endif %}
				{% endif %}

    });
	
</script>
</body>
</html>